%global debug_package %{nil}

Name:		skalibs
Version:	2.13.2.0
Release:	2%{?dist}
Summary:	General-purpose libraries for building software at skarnet.org

License:	ISC
URL:		https://skarnet.org/software/skalibs
Source0:	https://skarnet.org/software/%{name}/%{name}-%{version}.tar.gz

BuildRequires:  make
BuildRequires:  gcc
BuildRequires:  tkbcopr-musl-gcc

%description
skalibs is a package centralizing the free software / open source C development files used for building all software at skarnet.org: it contains essentially general-purpose libraries. You will need to install skalibs if you plan to build skarnet.org software. The point is that you won't have to download and compile big libraries, and care about portability issues, everytime you need to build a package: do it only once.


%prep
%autosetup -n %{name}


%build
export CC="musl-gcc -static"
%configure --enable-slashpackage --disable-shared
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make strip
%make_install
ln -sf /package/prog/skalibs-%{version} %{buildroot}/package/prog/skalibs


%postun
rm -r /package/prog/skalibs-%{version}


%files
/package/prog/skalibs
/package/prog/skalibs-%{version}/include/skalibs/devino.h
/package/prog/skalibs-%{version}/include/skalibs/alarm.h
/package/prog/skalibs-%{version}/include/skalibs/alloc.h
/package/prog/skalibs-%{version}/include/skalibs/allreadwrite.h
/package/prog/skalibs-%{version}/include/skalibs/ancil.h
/package/prog/skalibs-%{version}/include/skalibs/avlnode.h
/package/prog/skalibs-%{version}/include/skalibs/avltree.h
/package/prog/skalibs-%{version}/include/skalibs/avltreen.h
/package/prog/skalibs-%{version}/include/skalibs/bigkv.h
/package/prog/skalibs-%{version}/include/skalibs/bitarray.h
/package/prog/skalibs-%{version}/include/skalibs/blake2s.h
/package/prog/skalibs-%{version}/include/skalibs/bsdsnowflake.h
/package/prog/skalibs-%{version}/include/skalibs/bufalloc.h
/package/prog/skalibs-%{version}/include/skalibs/buffer.h
/package/prog/skalibs-%{version}/include/skalibs/bytestr.h
/package/prog/skalibs-%{version}/include/skalibs/cbuffer.h
/package/prog/skalibs-%{version}/include/skalibs/cdb.h
/package/prog/skalibs-%{version}/include/skalibs/cdbmake.h
/package/prog/skalibs-%{version}/include/skalibs/config.h
/package/prog/skalibs-%{version}/include/skalibs/datastruct.h
/package/prog/skalibs-%{version}/include/skalibs/direntry.h
/package/prog/skalibs-%{version}/include/skalibs/disize.h
/package/prog/skalibs-%{version}/include/skalibs/diuint.h
/package/prog/skalibs-%{version}/include/skalibs/diuint32.h
/package/prog/skalibs-%{version}/include/skalibs/djbtime.h
/package/prog/skalibs-%{version}/include/skalibs/djbunix.h
/package/prog/skalibs-%{version}/include/skalibs/env.h
/package/prog/skalibs-%{version}/include/skalibs/envalloc.h
/package/prog/skalibs-%{version}/include/skalibs/error.h
/package/prog/skalibs-%{version}/include/skalibs/exec.h
/package/prog/skalibs-%{version}/include/skalibs/fmtscan.h
/package/prog/skalibs-%{version}/include/skalibs/functypes.h
/package/prog/skalibs-%{version}/include/skalibs/gccattributes.h
/package/prog/skalibs-%{version}/include/skalibs/genalloc.h
/package/prog/skalibs-%{version}/include/skalibs/genqdyn.h
/package/prog/skalibs-%{version}/include/skalibs/genset.h
/package/prog/skalibs-%{version}/include/skalibs/gensetdyn.h
/package/prog/skalibs-%{version}/include/skalibs/genwrite.h
/package/prog/skalibs-%{version}/include/skalibs/iopause.h
/package/prog/skalibs-%{version}/include/skalibs/ip46.h
/package/prog/skalibs-%{version}/include/skalibs/kolbak.h
/package/prog/skalibs-%{version}/include/skalibs/lolstdio.h
/package/prog/skalibs-%{version}/include/skalibs/netstring.h
/package/prog/skalibs-%{version}/include/skalibs/nonposix.h
/package/prog/skalibs-%{version}/include/skalibs/nsig.h
/package/prog/skalibs-%{version}/include/skalibs/posixishard.h
/package/prog/skalibs-%{version}/include/skalibs/posixplz.h
/package/prog/skalibs-%{version}/include/skalibs/random.h
/package/prog/skalibs-%{version}/include/skalibs/segfault.h
/package/prog/skalibs-%{version}/include/skalibs/selfpipe.h
/package/prog/skalibs-%{version}/include/skalibs/setgroups.h
/package/prog/skalibs-%{version}/include/skalibs/sgetopt.h
/package/prog/skalibs-%{version}/include/skalibs/sha1.h
/package/prog/skalibs-%{version}/include/skalibs/sha256.h
/package/prog/skalibs-%{version}/include/skalibs/sha512.h
/package/prog/skalibs-%{version}/include/skalibs/sig.h
/package/prog/skalibs-%{version}/include/skalibs/siovec.h
/package/prog/skalibs-%{version}/include/skalibs/skaclient.h
/package/prog/skalibs-%{version}/include/skalibs/skalibs.h
/package/prog/skalibs-%{version}/include/skalibs/skamisc.h
/package/prog/skalibs-%{version}/include/skalibs/socket.h
/package/prog/skalibs-%{version}/include/skalibs/stdcrypto.h
/package/prog/skalibs-%{version}/include/skalibs/stddjb.h
/package/prog/skalibs-%{version}/include/skalibs/stralloc.h
/package/prog/skalibs-%{version}/include/skalibs/strerr.h
/package/prog/skalibs-%{version}/include/skalibs/strerr2.h
/package/prog/skalibs-%{version}/include/skalibs/surf.h
/package/prog/skalibs-%{version}/include/skalibs/sysdeps.h
/package/prog/skalibs-%{version}/include/skalibs/tai.h
/package/prog/skalibs-%{version}/include/skalibs/textclient.h
/package/prog/skalibs-%{version}/include/skalibs/textmessage.h
/package/prog/skalibs-%{version}/include/skalibs/types.h
/package/prog/skalibs-%{version}/include/skalibs/uint16.h
/package/prog/skalibs-%{version}/include/skalibs/uint32.h
/package/prog/skalibs-%{version}/include/skalibs/uint64.h
/package/prog/skalibs-%{version}/include/skalibs/unix-timed.h
/package/prog/skalibs-%{version}/include/skalibs/unix-transactional.h
/package/prog/skalibs-%{version}/include/skalibs/unixconnection.h
/package/prog/skalibs-%{version}/include/skalibs/unixmessage.h
/package/prog/skalibs-%{version}/include/skalibs/unixonacid.h
/package/prog/skalibs-%{version}/library/libskarnet.a
/package/prog/skalibs-%{version}/sysdeps/socket.lib
/package/prog/skalibs-%{version}/sysdeps/spawn.lib
/package/prog/skalibs-%{version}/sysdeps/sysclock.lib
/package/prog/skalibs-%{version}/sysdeps/sysdeps
/package/prog/skalibs-%{version}/sysdeps/target
/package/prog/skalibs-%{version}/sysdeps/timer.lib
/package/prog/skalibs-%{version}/sysdeps/util.lib


%changelog
* Fri Jun 30 2023 Tonkünstler-on-the-Bund <webmaster@tonkunstler-on-the-bund.com> - 2.13.2.0-2
- First skalibs package
